%global pypi_name anyascii

Name:           python-%{pypi_name}
Version:        0.3.3
Release:        %mkrel 1
Summary:        Unicode to ASCII transliteration
Group:          Development/Python
License:        None
URL:            https://github.com/anyascii/anyascii
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

%description
Converts Unicode characters to their best ASCII representation

AnyAscii provides ASCII-only replacement strings for practically all Unicode
characters. Text is converted character-by-character without considering the
context. The mappings for each script are based on popular existing
romanization systems. Symbolic characters are converted based on their meaning
or appearance. All ASCII characters in the input are left unchanged, every
other character is replaced with printable ASCII characters. Unknown characters
and some known characters are replaced with an empty string and removed.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Converts Unicode characters to their best ASCII representation

AnyAscii provides ASCII-only replacement strings for practically all Unicode
characters. Text is converted character-by-character without considering the
context. The mappings for each script are based on popular existing
romanization systems. Symbolic characters are converted based on their meaning
or appearance. All ASCII characters in the input are left unchanged, every
other character is replaced with printable ASCII characters. Unknown characters
and some known characters are replaced with an empty string and removed.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}
%check
%pyproject_check_import
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Thu Jul 17 2025 papoteur <papoteur> 0.3.3-1.mga10
+ Revision: 2256882
- new version 0.3.3

* Wed Jul 02 2025 umeabot <umeabot> 0.3.2-4.mga10
+ Revision: 2239331
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 0.3.2-3.mga10
+ Revision: 2156453
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.3.2-2.mga10
+ Revision: 2021735
- rebuild for py3.12

* Wed Sep 20 2023 papoteur <papoteur> 0.3.2-1.mga10
+ Revision: 1988424
- imported package python-anyascii

